Package org.apache.catalina

# Class LifecycleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.catalina.LifecycleException

All Implemented Interfaces:
  `Serializable`

public final class LifecycleException extends Exception
General purpose exception that is thrown to indicate a lifecycle related problem. Such exceptions should generally be considered fatal to the operation of the application containing this component.

Author:
  Craig R. McClanahan
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LifecycleException()`
Construct a new LifecycleException with no other information.
`LifecycleException(String message)`
Construct a new LifecycleException for the specified message.
`LifecycleException(String message, Throwable throwable)`
Construct a new LifecycleException for the specified message and throwable.
`LifecycleException(Throwable throwable)`
Construct a new LifecycleException for the specified throwable.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LifecycleException

public LifecycleException()
Construct a new LifecycleException with no other information.

### LifecycleException

public LifecycleException(String message)
Construct a new LifecycleException for the specified message.

Parameters:
  `message` - Message describing this exception

### LifecycleException

public LifecycleException(Throwable throwable)
Construct a new LifecycleException for the specified throwable.

Parameters:
  `throwable` - Throwable that caused this exception

### LifecycleException

public LifecycleException(String message, Throwable throwable)
Construct a new LifecycleException for the specified message and throwable.

Parameters:
  `message` - Message describing this exception
  `throwable` - Throwable that caused this exception